(*
BLAST is a tool for software model checking.
This file is part of BLAST.

Copyright (c) 2002-2007, The BLAST Team.
All rights reserved. 

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
   notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
   notice, this list of conditions and the following disclaimer in the
   documentation and/or other materials provided with the distribution.
3. Neither the name of the authors nor their organizations 
   may be used to endorse or promote products
   derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHORS ``AS IS'' AND ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY DIRECT, INDIRECT,
INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

(This is the Modified BSD License, see also
 http://www.opensource.org/licenses/bsd-license.php)

The BLAST Team consists of
        Dirk Beyer (SFU), Thomas A. Henzinger (EPFL),
        Ranjit Jhala (UCSD), and Rupak Majumdar (UCLA).

BLAST web page:
        http://mtc.epfl.ch/blast/

Bug reports:
        Dirk Beyer:      firstname.lastname@sfu.ca or
        Rupak Majumdar:  firstname@cs.ucla.edu or
        Ranjit Jhala:    lastname@cs.ucla.edu
 *)
type token =
  | Id of (string)
  | Const of (string)
  | Num of (int)
  | GLOBAL
  | LOCAL
  | ENV
  | STORE
  | PROC
  | PREDICATES
  | ANNOTATIONS
  | SEMICOLON
  | COLON
  | EOF
  | LPAREN
  | RPAREN
  | LINDEX
  | RINDEX
  | QUESTION
  | DOT
  | ARROW
  | BITAND
  | BITOR
  | DIV
  | LSHIFT
  | MINUS
  | MUL
  | PLUS
  | REM
  | RSHIFT
  | XOR
  | EQ
  | GE
  | GT
  | LE
  | LT
  | NE
  | INDEX
  | AND
  | OR
  | COMMA
  | NOT
  | BITNOT
  | DEREF
  | ADDRESS
  | SYMBOL
  | UMINUS
  | UPLUS
  | DOTSTAR
  | ARROWSTAR
  | ICR
  | DECR
  | SIZEOF
  | ASSIGN
  | MULTassign
  | DIVassign
  | MODassign
  | PLUSassign
  | MINUSassign
  | LSassign
  | RSassign
  | ANDassign
  | XORassign
  | ORassign
  | INT
  | CHAR
  | FLOAT
  | DOUBLE
  | LONG
  | VOID
  | CONSTANT

val fun_main :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> ((string * Ast.Predicate.predicate list) list)
val main :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> (Ast.Predicate.predicate list)
val env_assumptions :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> ((Ast.Expression.lval * (Ast.Predicate.predicate)) list)
val lval_list :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> (Ast.Expression.lval list)
val modifies_info :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> ((int * (Ast.Expression.lval list)) list ) * ((string * (Ast.Expression.lval list)) list) * ((Ast.Expression.lval * (string list)) list) * (( (int * int * int * int) * Ast.Expression.lval ) list)
